Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class PhoneInfo.PhoneType

    java.lang.Object
      portlets.compoze.groupware.addressbook.PhoneInfo.PhoneType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  PhoneInfo

public static class PhoneInfo.PhoneType
extends java.lang.Object
implements java.io.Serializable

This class represents the type of phone.

See Also:
  Serialized Form

Field Summary
`static PhoneInfo.PhoneType` | `ASSISTANT` This value represents a 'assistant' phone type.
`static PhoneInfo.PhoneType` | `BUSINESS` This value represents a 'business' phone type.
`static PhoneInfo.PhoneType` | `BUSINESS_FAX` This value represents a 'business fax' phone type.
`static PhoneInfo.PhoneType` | `BUSINESS_MOBILE` This value represents a 'business mobile' phone type.
`static PhoneInfo.PhoneType` | `BUSINESS2` This value represents a 'business2' phone type.
`static PhoneInfo.PhoneType` | `CALLBACK` This value represents a 'callback' phone type.
`static PhoneInfo.PhoneType` | `CAR` This value represents a 'car' phone type.
`static PhoneInfo.PhoneType` | `COMPANY` This value represents a 'company' phone type.
`static PhoneInfo.PhoneType` | `HOME` This value represents a 'home' phone type.
`static PhoneInfo.PhoneType` | `HOME_FAX` This value represents a 'home fax' phone type.
`static PhoneInfo.PhoneType` | `HOME2` This value represents a 'home2' phone type.
`static PhoneInfo.PhoneType` | `ISDN` This value represents a 'isdn' phone type.
`static PhoneInfo.PhoneType` | `MOBILE` This value represents a 'mobile' phone type.
`static PhoneInfo.PhoneType` | `OTHER` This value represents a 'other' phone type.
`static PhoneInfo.PhoneType` | `OTHER_FAX` This value represents a 'other fax' phone type.
`static PhoneInfo.PhoneType` | `PAGER` This value represents a 'pager' phone type.
`static PhoneInfo.PhoneType` | `PRIMARY` This value represents a 'primary' phone type.
`static PhoneInfo.PhoneType` | `PRIMARY_FAX` This value represents a 'primary fax' phone type.
`static PhoneInfo.PhoneType` | `RADIO` This value represents a 'radio' phone type.
`static PhoneInfo.PhoneType` | `TELEX` This value represents a 'telex' phone type.
`static PhoneInfo.PhoneType` | `TTY_TDD` This value represents a 'tty/tdd' phone type.
`static int` | `VALUE_ASSISTANT` This value represents the 'assistant' value.
`static int` | `VALUE_BUSINESS` This value represents the 'business' value.
`static int` | `VALUE_BUSINESS_FAX` This value represents the 'business fax' value.
`static int` | `VALUE_BUSINESS_MOBILE` This value represents the 'business mobile' value.
`static int` | `VALUE_BUSINESS2` This value represents the 'business2' value.
`static int` | `VALUE_CALLBACK` This value represents the 'callback' value.
`static int` | `VALUE_CAR` This value represents the 'car' value.
`static int` | `VALUE_COMPANY` This value represents the 'company' value.
`static int` | `VALUE_HOME` This value represents the 'home' value.
`static int` | `VALUE_HOME_FAX` This value represents the 'home fax' value.
`static int` | `VALUE_HOME2` This value represents the 'home2' value.
`static int` | `VALUE_ISDN` This value represents the 'isdn' value.
`static int` | `VALUE_MOBILE` This value represents the 'mobile' value.
`static int` | `VALUE_OTHER` This value represents the 'other' value.
`static int` | `VALUE_OTHER_FAX` This value represents the 'other fax' value.
`static int` | `VALUE_PAGER` This value represents the 'pager' value.
`static int` | `VALUE_PRIMARY` This value represents the 'primary' value.
`static int` | `VALUE_PRIMARY_FAX` This value represents the 'primary fax' value.
`static int` | `VALUE_RADIO` This value represents the 'radio' value.
`static int` | `VALUE_TELEX` This value represents the 'telex' value.
`static int` | `VALUE_TTY_TDD` This value represents the 'tty/tdd' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static PhoneInfo.PhoneType` | `get(int iValue)` Gets the phone type by the value.
`java.lang.String` | `getKey()` Gets the key (phone name) for i18n.
`static java.util.List` | `getPhoneTypes()` Gets the list of phone type objects.
`int` | `getValue()` Gets the value of the phone type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ASSISTANT

    public static final int VALUE_ASSISTANT

  This value represents the 'assistant' value.

  See Also:
    Constant Field Values

### VALUE_BUSINESS

    public static final int VALUE_BUSINESS

  This value represents the 'business' value.

  See Also:
    Constant Field Values

### VALUE_BUSINESS2

    public static final int VALUE_BUSINESS2

  This value represents the 'business2' value.

  See Also:
    Constant Field Values

### VALUE_BUSINESS_FAX

    public static final int VALUE_BUSINESS_FAX

  This value represents the 'business fax' value.

  See Also:
    Constant Field Values

### VALUE_CALLBACK

    public static final int VALUE_CALLBACK

  This value represents the 'callback' value.

  See Also:
    Constant Field Values

### VALUE_CAR

    public static final int VALUE_CAR

  This value represents the 'car' value.

  See Also:
    Constant Field Values

### VALUE_COMPANY

    public static final int VALUE_COMPANY

  This value represents the 'company' value.

  See Also:
    Constant Field Values

### VALUE_HOME

    public static final int VALUE_HOME

  This value represents the 'home' value.

  See Also:
    Constant Field Values

### VALUE_HOME2

    public static final int VALUE_HOME2

  This value represents the 'home2' value.

  See Also:
    Constant Field Values

### VALUE_HOME_FAX

    public static final int VALUE_HOME_FAX

  This value represents the 'home fax' value.

  See Also:
    Constant Field Values

### VALUE_ISDN

    public static final int VALUE_ISDN

  This value represents the 'isdn' value.

  See Also:
    Constant Field Values

### VALUE_MOBILE

    public static final int VALUE_MOBILE

  This value represents the 'mobile' value.

  See Also:
    Constant Field Values

### VALUE_OTHER

    public static final int VALUE_OTHER

  This value represents the 'other' value.

  See Also:
    Constant Field Values

### VALUE_OTHER_FAX

    public static final int VALUE_OTHER_FAX

  This value represents the 'other fax' value.

  See Also:
    Constant Field Values

### VALUE_PAGER

    public static final int VALUE_PAGER

  This value represents the 'pager' value.

  See Also:
    Constant Field Values

### VALUE_PRIMARY

    public static final int VALUE_PRIMARY

  This value represents the 'primary' value.

  See Also:
    Constant Field Values

### VALUE_RADIO

    public static final int VALUE_RADIO

  This value represents the 'radio' value.

  See Also:
    Constant Field Values

### VALUE_TELEX

    public static final int VALUE_TELEX

  This value represents the 'telex' value.

  See Also:
    Constant Field Values

### VALUE_TTY_TDD

    public static final int VALUE_TTY_TDD

  This value represents the 'tty/tdd' value.

  See Also:
    Constant Field Values

### VALUE_PRIMARY_FAX

    public static final int VALUE_PRIMARY_FAX

  This value represents the 'primary fax' value.

  See Also:
    Constant Field Values

### VALUE_BUSINESS_MOBILE

    public static final int VALUE_BUSINESS_MOBILE

  This value represents the 'business mobile' value.

  See Also:
    Constant Field Values

### ASSISTANT

    public static final PhoneInfo.PhoneType ASSISTANT

  This value represents a 'assistant' phone type.

### BUSINESS

    public static final PhoneInfo.PhoneType BUSINESS

  This value represents a 'business' phone type.

### BUSINESS2

    public static final PhoneInfo.PhoneType BUSINESS2

  This value represents a 'business2' phone type.

### BUSINESS_FAX

    public static final PhoneInfo.PhoneType BUSINESS_FAX

  This value represents a 'business fax' phone type.

### CALLBACK

    public static final PhoneInfo.PhoneType CALLBACK

  This value represents a 'callback' phone type.

### CAR

    public static final PhoneInfo.PhoneType CAR

  This value represents a 'car' phone type.

### COMPANY

    public static final PhoneInfo.PhoneType COMPANY

  This value represents a 'company' phone type.

### HOME

    public static final PhoneInfo.PhoneType HOME

  This value represents a 'home' phone type.

### HOME2

    public static final PhoneInfo.PhoneType HOME2

  This value represents a 'home2' phone type.

### HOME_FAX

    public static final PhoneInfo.PhoneType HOME_FAX

  This value represents a 'home fax' phone type.

### ISDN

    public static final PhoneInfo.PhoneType ISDN

  This value represents a 'isdn' phone type.

### MOBILE

    public static final PhoneInfo.PhoneType MOBILE

  This value represents a 'mobile' phone type.

### OTHER

    public static final PhoneInfo.PhoneType OTHER

  This value represents a 'other' phone type.

### OTHER_FAX

    public static final PhoneInfo.PhoneType OTHER_FAX

  This value represents a 'other fax' phone type.

### PAGER

    public static final PhoneInfo.PhoneType PAGER

  This value represents a 'pager' phone type.

### PRIMARY

    public static final PhoneInfo.PhoneType PRIMARY

  This value represents a 'primary' phone type.

### PRIMARY_FAX

    public static final PhoneInfo.PhoneType PRIMARY_FAX

  This value represents a 'primary fax' phone type.

### RADIO

    public static final PhoneInfo.PhoneType RADIO

  This value represents a 'radio' phone type.

### TELEX

    public static final PhoneInfo.PhoneType TELEX

  This value represents a 'telex' phone type.

### TTY_TDD

    public static final PhoneInfo.PhoneType TTY_TDD

  This value represents a 'tty/tdd' phone type.

### BUSINESS_MOBILE

    public static final PhoneInfo.PhoneType BUSINESS_MOBILE

  This value represents a 'business mobile' phone type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (phone name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the phone type.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static PhoneInfo.PhoneType get(int iValue)

  Gets the phone type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching phone type or `null` if not found

### getPhoneTypes

    public static java.util.List getPhoneTypes()

  Gets the list of phone type objects.

  Returns:
    the list of `PhoneType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.